﻿using System.ComponentModel;

namespace RibbonSample
{
    public class MyViewModel: INotifyPropertyChanged
    {
        #region IsButtonEnabled

        private int _isButtonEnabled;
        public int IsButtonEnabled
        {
            get
            {
                return this._isButtonEnabled;
            }
            set
            {
                if (value != this._isButtonEnabled)                    
                {
                    this._isButtonEnabled = value;
                    RaisePropertyChanged("IsButtonEnabled");
                }
            }
        }

        #endregion // IsButtonEnabled 

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }
}
